Bug 682857 - backslash-period escape does not work
Summary: backslash-period escape does not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: groff
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Vcelak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-07 19:39 UTC by Ville Skyttä
Modified: 2013-03-04 01:28 UTC (History)
2 users (show)

Fixed In Version: groff-1.22.1-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 00:14:56 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2011-03-07 19:39:22 UTC
$ rpm -q groff
groff-1.20.1-3.fc14.x86_64

From the groff(7) man page:

| Single-Character Escapes
|     \.     An uninterpreted dot (period), even at start of line.

(See also the first bullet point in "CONTROL CHARACTERS".)

However, it doesn't seem that the this escape works as documented, assuming I understand how to use it correctly.  Reproducer:

$ cat t.man
foo
\.bar
quux

$ groff -Tascii -wmac ./t.man | head -n 1
./t.man:2: warning: macro `bar' not defined
foo quux

I think the output should have been "foo .bar quux" and no warning.

Comment 1 Jan Vcelak 2011-06-17 13:24:32 UTC
According to upstream response, this is an expected behavior. And it should be fixed in manual page.

Comment 2 Ville Skyttä 2012-05-16 19:53:38 UTC
It seems that it's still unfixed in the man page as of groff 1.21-8.fc17.  I'm wondering what _is_ the way to get uninterpreted dots at start of line if \. is not it?

Comment 3 Jan Vcelak 2012-05-17 10:35:05 UTC
Sorry for that. I still do not know what exactly is the correct behavior and what should be stated in the manpage. I will need to search some old roff documentation.

You can take a look at following threads:
http://www.mail-archive.com/bug-groff@gnu.org/msg01499.html
http://lists.gnu.org/archive/html/groff/2011-03/msg00025.html

One possible way of printing dot at the beginning of the line is this:
groff -Tascii -wmac <<< '\[char46]foo' | head -1

But I think there is also another escape sequence.

Comment 4 Fedora Update System 2013-01-01 16:22:14 UTC
groff-1.22.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/groff-1.22.1-1.fc18

Comment 5 Jan Vcelak 2013-01-01 16:22:45 UTC
Resolved in:
groff-1.22.1-1.fc18
groff-1.22.1-1.fc19

Comment 6 Fedora Update System 2013-01-01 21:42:15 UTC
Package groff-1.22.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing groff-1.22.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0023/groff-1.22.1-1.fc18
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-01-12 00:14:58 UTC
groff-1.22.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.